qpid::console::ClassKey Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes
qpid::console::ClassKey Class Reference

`#include <qpid/console/ClassKey.h>`

List of all members.

## Public Member Functions
| ClassKey (const std::string &package, const std::string &name, const uint8_t *hash)
const std::string & | getPackageName () const
const std::string & | getClassName () const
const uint8_t * | getHash () const
std::string | getHashString () const
std::string | str () const
bool | operator== (const ClassKey &other) const
bool | operator!= (const ClassKey &other) const
bool | operator< (const ClassKey &other) const
bool | operator> (const ClassKey &other) const
bool | operator<= (const ClassKey &other) const
bool | operator>= (const ClassKey &other) const
void | encode (framing::Buffer &buffer) const
## Static Public Attributes
static const int | HASH_SIZE = 16

## Constructor & Destructor Documentation

qpid::console::ClassKey::ClassKey | ( | const std::string & | package,
|  | const std::string & | name,
|  | const uint8_t * | hash
| ) |  |

## Member Function Documentation

void qpid::console::ClassKey::encode | ( | framing::Buffer & | buffer | ) | const

const std::string& qpid::console::ClassKey::getClassName | ( |  | ) | const`[inline]`

Definition at line 43 of file ClassKey.h.

const uint8_t* qpid::console::ClassKey::getHash | ( |  | ) | const`[inline]`

Definition at line 44 of file ClassKey.h.

std::string qpid::console::ClassKey::getHashString | ( |  | ) | const

const std::string& qpid::console::ClassKey::getPackageName | ( |  | ) | const`[inline]`

Definition at line 42 of file ClassKey.h.

bool qpid::console::ClassKey::operator!= | ( | const ClassKey & | other | ) | const

bool qpid::console::ClassKey::operator< | ( | const ClassKey & | other | ) | const

bool qpid::console::ClassKey::operator<= | ( | const ClassKey & | other | ) | const

bool qpid::console::ClassKey::operator== | ( | const ClassKey & | other | ) | const

bool qpid::console::ClassKey::operator> | ( | const ClassKey & | other | ) | const

bool qpid::console::ClassKey::operator>= | ( | const ClassKey & | other | ) | const

std::string qpid::console::ClassKey::str | ( |  | ) | const

## Member Data Documentation

const int qpid::console::ClassKey::HASH_SIZE = 16`[static]`

Definition at line 38 of file ClassKey.h.

The documentation for this class was generated from the following file:

- qpid/console/ClassKey.h